/*
		QueryCont.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/


#include "stdafx.h"
#include "Cbreak.h"
#include "QueryCont.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// QueryCont dialog


QueryCont::QueryCont(int initial,CWnd* pParent /*=NULL*/)
	: CDialog(QueryCont::IDD, pParent)
{
	//{{AFX_DATA_INIT(QueryCont)
	m_cont1 = (initial & 1 ? TRUE : FALSE);
	m_cont2 = (initial & 2 ? TRUE : FALSE);
	m_cont3 = (initial & 4 ? TRUE : FALSE);
	m_cont4 = (initial & 8 ? TRUE : FALSE);
	//}}AFX_DATA_INIT
	value=initial;
}


void QueryCont::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(QueryCont)
	DDX_Check(pDX, IDC_CONT1, m_cont1);
	DDX_Check(pDX, IDC_CONT2, m_cont2);
	DDX_Check(pDX, IDC_CONT3, m_cont3);
	DDX_Check(pDX, IDC_CONT4, m_cont4);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(QueryCont, CDialog)
	//{{AFX_MSG_MAP(QueryCont)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// QueryCont message handlers

void QueryCont::OnOK() 
{
    UpdateData(TRUE);
	value=0;
	if(m_cont1) {
		value+=1;
	}
	if(m_cont2) {
		value+=2;
	}
	if(m_cont3) {
		value+=4;
	}
	if(m_cont4) {
		value +=8;
	}

	CDialog::OnOK();
}
